#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n,m;
    cin >> n >> m;
    long long int pomocni = n*m;
    n = n-2;
    m = m-2;
    if(n*m %2==0)
    {
        cout << pomocni-(n*m/2);
    }
    else
    {
        cout << pomocni-(n*m/2+1);
    }
}